Show / Hide Table of Contents

# Enum StatusFlags

Enum describing possible status flags.

###### Namespace: Dalamud.Game.ClientState.Objects.Enums

###### Assembly: Dalamud.dll

##### Syntax

    [Flags]
    public enum StatusFlags : byte

### Fields

Name | Description
--- | ---
AllianceMember | Character is a alliance member.
Friend | Character is in friend list.
Hostile | Hostile character.
InCombat | Character in combat.
IsCasting | Character is casting.
None | No status flags set.
OffhandOut | Character offhand is out.
PartyMember | Character is a party member.
WeaponOut | Character weapon is out.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()